diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.43/src/wifi/test/wifi-phy-ofdma-test.cc ns-3.44/src/wifi/test/wifi-phy-ofdma-test.cc
--- ns-3.43/src/wifi/test/wifi-phy-ofdma-test.cc	2024-10-09 16:41:10.140657000 -0700
+++ ns-3.44/src/wifi/test/wifi-phy-ofdma-test.cc	2025-03-09 16:55:49.811372800 -0700
@@ -1190,45 +1193,45 @@
 
     /**
      * Receive success function for STA 1
-     * \param psdu the PSDU
-     * \param rxSignalInfo the info on the received signal (\see RxSignalInfo)
-     * \param txVector the transmit vector
-     * \param statusPerMpdu reception status per MPDU
+     * @param psdu the PSDU
+     * @param rxSignalInfo the info on the received signal (\see RxSignalInfo)
+     * @param txVector the transmit vector
+     * @param statusPerMpdu reception status per MPDU
      */
     void RxSuccessSta1(Ptr<const WifiPsdu> psdu,
                        RxSignalInfo rxSignalInfo,
-                       WifiTxVector txVector,
-                       const std::vector<bool> statusPerMpdu);
+                       const WifiTxVector& txVector,
+                       const std::vector<bool>& statusPerMpdu);
 
     /**
      * Receive success function for STA 2
-     * \param psdu the PSDU
-     * \param rxSignalInfo the info on the received signal (\see RxSignalInfo)
-     * \param txVector the transmit vector
-     * \param statusPerMpdu reception status per MPDU
+     * @param psdu the PSDU
+     * @param rxSignalInfo the info on the received signal (\see RxSignalInfo)
+     * @param txVector the transmit vector
+     * @param statusPerMpdu reception status per MPDU
      */
     void RxSuccessSta2(Ptr<const WifiPsdu> psdu,
                        RxSignalInfo rxSignalInfo,
-                       WifiTxVector txVector,
-                       std::vector<bool> statusPerMpdu);
+                       const WifiTxVector& txVector,
+                       const std::vector<bool>& statusPerMpdu);
 
     /**
      * Receive failure function for STA 1
-     * \param psdu the PSDU
+     * @param psdu the PSDU
      */
     void RxFailureSta1(Ptr<const WifiPsdu> psdu);
 
     /**
      * Receive failure function for STA 2
-     * \param psdu the PSDU
+     * @param psdu the PSDU
      */
     void RxFailureSta2(Ptr<const WifiPsdu> psdu);
 
     /**
      * Check the results for STA 1
-     * \param expectedRxSuccess the expected number of RX success
-     * \param expectedRxFailure the expected number of RX failures
-     * \param expectedRxBytes the expected number of RX bytes
+     * @param expectedRxSuccess the expected number of RX success
+     * @param expectedRxFailure the expected number of RX failures
+     * @param expectedRxBytes the expected number of RX bytes
      */
     void CheckResultsSta1(uint32_t expectedRxSuccess,
                           uint32_t expectedRxFailure,
@@ -1236,9 +1239,9 @@
 
     /**
      * Check the results for STA 2
-     * \param expectedRxSuccess the expected number of RX success
-     * \param expectedRxFailure the expected number of RX failures
-     * \param expectedRxBytes the expected number of RX bytes
+     * @param expectedRxSuccess the expected number of RX success
+     * @param expectedRxFailure the expected number of RX failures
+     * @param expectedRxBytes the expected number of RX bytes
      */
     void CheckResultsSta2(uint32_t expectedRxSuccess,
                           uint32_t expectedRxFailure,
@@ -1251,9 +1254,9 @@
 
     /**
      * Send MU-PPDU function
-     * \param rxStaId1 the ID of the recipient STA for the first PSDU
-     * \param rxStaId2 the ID of the recipient STA for the second PSDU
-     * \param puncturedSubchannels indicates for each subchannel whether it is punctured or not. if
+     * @param rxStaId1 the ID of the recipient STA for the first PSDU
+     * @param rxStaId2 the ID of the recipient STA for the second PSDU
+     * @param puncturedSubchannels indicates for each subchannel whether it is punctured or not. if
      * empty, preamble puncturing is not used.
      */
     void SendMuPpdu(uint16_t rxStaId1,
@@ -1262,8 +1265,8 @@
 
     /**
      * Generate interference function
-     * \param interferencePsd the PSD of the interference to be generated
-     * \param duration the duration of the interference
+     * @param interferencePsd the PSD of the interference to be generated
+     * @param duration the duration of the interference
      */
     void GenerateInterference(Ptr<SpectrumValue> interferencePsd, Time duration);
 
@@ -1279,15 +1282,15 @@
 
     /**
      * Schedule now to check  the PHY state
-     * \param phy the PHY
-     * \param expectedState the expected state of the PHY
+     * @param phy the PHY
+     * @param expectedState the expected state of the PHY
      */
     void CheckPhyState(Ptr<OfdmaSpectrumWifiPhy> phy, WifiPhyState expectedState);
 
     /**
      * Check the PHY state now
-     * \param phy the PHY
-     * \param expectedState the expected state of the PHY
+     * @param phy the PHY
+     * @param expectedState the expected state of the PHY
      */
     void DoCheckPhyState(Ptr<OfdmaSpectrumWifiPhy> phy, WifiPhyState expectedState);
 
@@ -1321,8 +1324,8 @@
       m_countRxFailureSta2(0),
       m_countRxBytesSta1(0),
       m_countRxBytesSta2(0),
-      m_frequency(5210),
-      m_channelWidth(80),
+      m_frequency(MHz_u{5210}),
+      m_channelWidth(MHz_u{80}),
       m_indexSubchannel(0),
       m_expectedPpduDuration20Mhz(NanoSeconds(156800)),
       m_expectedPpduDuration40Mhz(NanoSeconds(102400))
@@ -1377,7 +1380,7 @@
     txVector.SetMode(HePhy::GetHeMcs9(), rxStaId2);
     txVector.SetNss(1, rxStaId2);
 
-    std::vector<uint8_t> ruAlloc;
+    RuAllocation ruAlloc;
     if (puncturedSubchannels.empty())
     {
         std::fill_n(std::back_inserter(ruAlloc), 4, 200);
@@ -1441,8 +1444,8 @@
 void
 TestDlOfdmaPhyPuncturing::RxSuccessSta1(Ptr<const WifiPsdu> psdu,
                                         RxSignalInfo rxSignalInfo,
-                                        WifiTxVector txVector,
-                                        std::vector<bool> /*statusPerMpdu*/)
+                                        const WifiTxVector& txVector,
+                                        const std::vector<bool>& /*statusPerMpdu*/)
 {
     NS_LOG_FUNCTION(this << *psdu << rxSignalInfo << txVector);
     m_countRxSuccessSta1++;
@@ -1452,8 +1455,8 @@
 void
 TestDlOfdmaPhyPuncturing::RxSuccessSta2(Ptr<const WifiPsdu> psdu,
                                         RxSignalInfo rxSignalInfo,
-                                        WifiTxVector txVector,
-                                        std::vector<bool> /*statusPerMpdu*/)
+                                        const WifiTxVector& txVector,
+                                        const std::vector<bool>& /*statusPerMpdu*/)
 {
     NS_LOG_FUNCTION(this << *psdu << rxSignalInfo << txVector);
     m_countRxSuccessSta2++;
@@ -1534,7 +1537,7 @@
 {
     Ptr<MultiModelSpectrumChannel> spectrumChannel = CreateObject<MultiModelSpectrumChannel>();
     Ptr<FriisPropagationLossModel> lossModel = CreateObject<FriisPropagationLossModel>();
-    lossModel->SetFrequency(m_frequency * 1e6);
+    lossModel->SetFrequency(MHzToHz(m_frequency));
     spectrumChannel->AddPropagationLossModel(lossModel);
     Ptr<ConstantSpeedPropagationDelayModel> delayModel =
         CreateObject<ConstantSpeedPropagationDelayModel>();
@@ -1643,11 +1646,11 @@
     // A strong non-wifi interference is generated on selected 20 MHz subchannel for the whole
     // duration of the test run
     BandInfo bandInfo;
-    bandInfo.fc = (m_frequency - (m_channelWidth / 2) + 10 + (m_indexSubchannel * 20)) * 1e6;
+    bandInfo.fc = MHzToHz(m_frequency - (m_channelWidth / 2) + 10 + (m_indexSubchannel * 20));
     // Occupy half of the RU to make sure we do not have some power allocated to the subcarriers on
     // the border of another RU
-    bandInfo.fl = bandInfo.fc - (5 * 1e6);
-    bandInfo.fh = bandInfo.fc + (5 * 1e6);
+    bandInfo.fl = bandInfo.fc - MHzToHz(5);
+    bandInfo.fh = bandInfo.fc + MHzToHz(5);
     Bands bands;
     bands.push_back(bandInfo);
 
@@ -1656,7 +1659,7 @@
     Watt_u interferencePower{0.1};
     *interferencePsd = interferencePower / 10e6;
 
-    Simulator::Schedule(Seconds(0.0),
+    Simulator::Schedule(Seconds(0),
                         &TestDlOfdmaPhyPuncturing::GenerateInterference,
                         this,
                         interferencePsd,
@@ -1664,7 +1667,7 @@
 
     //---------------------------------------------------------------------------
     // Send MU PPDU with two PSDUs addressed to STA 1 and STA 2 without preamble puncturing:
-    Simulator::Schedule(Seconds(1.0),
+    Simulator::Schedule(Seconds(1),
                         &TestDlOfdmaPhyPuncturing::SendMuPpdu,
                         this,
                         1,
@@ -1673,22 +1676,22 @@
 
     // Since it takes m_expectedPpduDuration to transmit the PPDU,
     // both PHYs should be back to IDLE at the same time.
-    Simulator::Schedule(Seconds(1.0) + m_expectedPpduDuration40Mhz - NanoSeconds(1),
+    Simulator::Schedule(Seconds(1) + m_expectedPpduDuration40Mhz - NanoSeconds(1),
                         &TestDlOfdmaPhyPuncturing::CheckPhyState,
                         this,
                         m_phySta1,
                         WifiPhyState::RX);
-    Simulator::Schedule(Seconds(1.0) + m_expectedPpduDuration40Mhz - NanoSeconds(1),
+    Simulator::Schedule(Seconds(1) + m_expectedPpduDuration40Mhz - NanoSeconds(1),
                         &TestDlOfdmaPhyPuncturing::CheckPhyState,
                         this,
                         m_phySta2,
                         WifiPhyState::RX);
-    Simulator::Schedule(Seconds(1.0) + m_expectedPpduDuration40Mhz,
+    Simulator::Schedule(Seconds(1) + m_expectedPpduDuration40Mhz,
                         &TestDlOfdmaPhyPuncturing::CheckPhyState,
                         this,
                         m_phySta1,
                         WifiPhyState::IDLE);
-    Simulator::Schedule(Seconds(1.0) + m_expectedPpduDuration40Mhz,
+    Simulator::Schedule(Seconds(1) + m_expectedPpduDuration40Mhz,
                         &TestDlOfdmaPhyPuncturing::CheckPhyState,
                         this,
                         m_phySta2,
@@ -1735,7 +1738,7 @@
     // Send MU PPDU with two PSDUs addressed to STA 1 and STA 2 with preamble puncturing:
     // the punctured 20 MHz subchannel is the one that has interference
     std::vector<bool> puncturedSubchannels;
-    const std::size_t num20MhzSubchannels = m_channelWidth / 20;
+    const auto num20MhzSubchannels = Count20MHzSubchannels(m_channelWidth);
     for (std::size_t i = 0; i < num20MhzSubchannels; ++i)
     {
         if (i == m_indexSubchannel)
@@ -1747,7 +1750,7 @@
             puncturedSubchannels.push_back(false);
         }
     }
-    Simulator::Schedule(Seconds(2.0),
+    Simulator::Schedule(Seconds(2),
                         &TestDlOfdmaPhyPuncturing::SendMuPpdu,
                         this,
                         1,
@@ -1756,22 +1759,22 @@
 
     // Since it takes m_expectedPpduDuration to transmit the PPDU,
     // both PHYs should be back to IDLE at the same time.
-    Simulator::Schedule(Seconds(2.0) + m_expectedPpduDuration20Mhz - NanoSeconds(1),
+    Simulator::Schedule(Seconds(2) + m_expectedPpduDuration20Mhz - NanoSeconds(1),
                         &TestDlOfdmaPhyPuncturing::CheckPhyState,
                         this,
                         m_phySta1,
                         WifiPhyState::RX);
-    Simulator::Schedule(Seconds(2.0) + m_expectedPpduDuration20Mhz - NanoSeconds(1),
+    Simulator::Schedule(Seconds(2) + m_expectedPpduDuration20Mhz - NanoSeconds(1),
                         &TestDlOfdmaPhyPuncturing::CheckPhyState,
                         this,
                         m_phySta2,
                         WifiPhyState::RX);
-    Simulator::Schedule(Seconds(2.0) + m_expectedPpduDuration20Mhz,
+    Simulator::Schedule(Seconds(2) + m_expectedPpduDuration20Mhz,
                         &TestDlOfdmaPhyPuncturing::CheckPhyState,
                         this,
                         m_phySta1,
                         WifiPhyState::IDLE);
-    Simulator::Schedule(Seconds(2.0) + m_expectedPpduDuration20Mhz,
+    Simulator::Schedule(Seconds(2) + m_expectedPpduDuration20Mhz,
                         &TestDlOfdmaPhyPuncturing::CheckPhyState,
                         this,
                         m_phySta2,
@@ -1811,10 +1814,10 @@
 }
 
 /**
- * \ingroup wifi-test
- * \ingroup tests
+ * @ingroup wifi-test
+ * @ingroup tests
  *
- * \brief UL-OFDMA PPDU UID attribution test
+ * @brief UL-OFDMA PPDU UID attribution test
  */
 class TestUlOfdmaPpduUid : public TestCase
 {
@@ -1829,17 +1832,17 @@
 
     /**
      * Transmitted PPDU information function for AP
-     * \param uid the UID of the transmitted PPDU
+     * @param uid the UID of the transmitted PPDU
      */
     void TxPpduAp(uint64_t uid);
     /**
      * Transmitted PPDU information function for STA 1
-     * \param uid the UID of the transmitted PPDU
+     * @param uid the UID of the transmitted PPDU
      */
     void TxPpduSta1(uint64_t uid);
     /**
      * Transmitted PPDU information function for STA 2
-     * \param uid the UID of the transmitted PPDU
+     * @param uid the UID of the transmitted PPDU
      */
     void TxPpduSta2(uint64_t uid);
     /**
@@ -1857,14 +1860,14 @@
     void SendTbPpdu();
     /**
      * Send SU-PPDU function
-     * \param txStaId the ID of the sending STA
+     * @param txStaId the ID of the sending STA
      */
     void SendSuPpdu(uint16_t txStaId);
 
     /**
      * Check the UID of the transmitted PPDU
-     * \param staId the STA-ID of the PHY (0 for AP)
-     * \param expectedUid the expected UID
+     * @param staId the STA-ID of the PHY (0 for AP)
+     * @param expectedUid the expected UID
      */
     void CheckUid(uint16_t staId, uint64_t expectedUid);
 
@@ -2141,14 +2144,14 @@
     auto psdu2 = Create<WifiPsdu>(pkt2, hdr2);
     psdus2.insert(std::make_pair(rxStaId2, psdu2));
 
-    const auto txDuration1 = m_phySta1->CalculateTxDuration(psdu1->GetSize(),
-                                                            txVector1,
-                                                            m_phySta1->GetPhyBand(),
-                                                            rxStaId1);
-    const auto txDuration2 = m_phySta2->CalculateTxDuration(psdu2->GetSize(),
-                                                            txVector2,
-                                                            m_phySta1->GetPhyBand(),
-                                                            rxStaId2);
+    const auto txDuration1 = OfdmaSpectrumWifiPhy::CalculateTxDuration(psdu1->GetSize(),
+                                                                       txVector1,
+                                                                       m_phySta1->GetPhyBand(),
+                                                                       rxStaId1);
+    const auto txDuration2 = OfdmaSpectrumWifiPhy::CalculateTxDuration(psdu2->GetSize(),
+                                                                       txVector2,
+                                                                       m_phySta1->GetPhyBand(),
+                                                                       rxStaId2);
     const auto txDuration = std::max(txDuration1, txDuration2);
 
     txVector1.SetLength(
@@ -2221,8 +2224,8 @@
 
     // Send HE MU PPDU with two PSDUs addressed to STA 1 and STA 2.
     // PPDU UID should be equal to 0 (the first counter value).
-    Simulator::Schedule(Seconds(1.0), &TestUlOfdmaPpduUid::SendMuPpdu, this);
-    Simulator::Schedule(Seconds(1.0), &TestUlOfdmaPpduUid::CheckUid, this, 0, 0);
+    Simulator::Schedule(Seconds(1), &TestUlOfdmaPpduUid::SendMuPpdu, this);
+    Simulator::Schedule(Seconds(1), &TestUlOfdmaPpduUid::CheckUid, this, 0, 0);
 
     // Send HE SU PPDU from AP.
     // PPDU UID should be incremented since this is a new PPDU.
@@ -2246,10 +2249,10 @@
 }
 
 /**
- * \ingroup wifi-test
- * \ingroup tests
+ * @ingroup wifi-test
+ * @ingroup tests
  *
- * \brief UL-OFDMA multiple RX events test
+ * @brief UL-OFDMA multiple RX events test
  */
 class TestMultipleHeTbPreambles : public TestCase
 {
@@ -2265,11 +2268,11 @@
     /**
      * Receive HE TB PPDU function.
      *
-     * \param uid the UID used to identify a set of HE TB PPDUs belonging to the same UL-MU
+     * @param uid the UID used to identify a set of HE TB PPDUs belonging to the same UL-MU
      * transmission
-     * \param staId the STA ID
-     * \param txPower the TX power
-     * \param payloadSize the size of the payload in bytes
+     * @param staId the STA ID
+     * @param txPower the TX power
+     * @param payloadSize the size of the payload in bytes
      */
     void RxHeTbPpdu(uint64_t uid, uint16_t staId, Watt_u txPower, size_t payloadSize);
 
@@ -2277,21 +2280,21 @@
      * Receive OFDMA part of HE TB PPDU function.
      * Immediately schedules DoRxHeTbPpduOfdmaPart.
      *
-     * \param rxParamsOfdma the spectrum signal parameters to send for OFDMA part
+     * @param rxParamsOfdma the spectrum signal parameters to send for OFDMA part
      */
     void RxHeTbPpduOfdmaPart(Ptr<WifiSpectrumSignalParameters> rxParamsOfdma);
     /**
      * Receive OFDMA part of HE TB PPDU function.
      * Actual reception call.
      *
-     * \param rxParamsOfdma the spectrum signal parameters to send for OFDMA part
+     * @param rxParamsOfdma the spectrum signal parameters to send for OFDMA part
      */
     void DoRxHeTbPpduOfdmaPart(Ptr<WifiSpectrumSignalParameters> rxParamsOfdma);
 
     /**
      * RX dropped function
-     * \param p the packet
-     * \param reason the reason
+     * @param p the packet
+     * @param reason the reason
      */
     void RxDropped(Ptr<const Packet> p, WifiPhyRxfailureReason reason);
 
@@ -2302,14 +2305,14 @@
 
     /**
      * Check the received HE TB preambles
-     * \param nEvents the number of events created by the PHY
-     * \param uids the vector of expected UIDs
+     * @param nEvents the number of events created by the PHY
+     * @param uids the vector of expected UIDs
      */
     void CheckHeTbPreambles(size_t nEvents, std::vector<uint64_t> uids);
 
     /**
      * Check the number of bytes dropped
-     * \param expectedBytesDropped the expected number of bytes dropped
+     * @param expectedBytesDropped the expected number of bytes dropped
      */
     void CheckBytesDropped(size_t expectedBytesDropped);
 
@@ -2414,8 +2417,10 @@
     auto psdu = Create<WifiPsdu>(pkt, hdr);
     psdus.insert(std::make_pair(staId, psdu));
 
-    auto ppduDuration =
-        m_phy->CalculateTxDuration(psdu->GetSize(), txVector, m_phy->GetPhyBand(), staId);
+    auto ppduDuration = OfdmaSpectrumWifiPhy::CalculateTxDuration(psdu->GetSize(),
+                                                                  txVector,
+                                                                  m_phy->GetPhyBand(),
+                                                                  staId);
     auto ppdu = Create<HePpdu>(psdus,
                                txVector,
                                m_phy->GetOperatingChannel(),
@@ -2428,7 +2433,7 @@
     const auto centerFrequency =
         m_phy->GetHePhy()->GetCenterFrequenciesForNonHePart(ppdu, staId).front();
     MHz_u ruWidth = HeRu::GetBandwidth(txVector.GetRu(staId).GetRuType());
-    MHz_u channelWidth = ruWidth < 20 ? 20 : ruWidth;
+    MHz_u channelWidth = ruWidth < MHz_u{20} ? MHz_u{20} : ruWidth;
     Ptr<SpectrumValue> rxPsd = WifiSpectrumValueHelper::CreateHeOfdmTxPowerSpectralDensity(
         centerFrequency,
         channelWidth,
@@ -2518,7 +2523,7 @@
     preambleDetectionModel->SetAttribute("MinimumRssi", DoubleValue(-82));
     m_phy->SetPreambleDetectionModel(preambleDetectionModel);
     Ptr<HeConfiguration> heConfiguration = CreateObject<HeConfiguration>();
-    heConfiguration->SetMaxTbPpduDelay(NanoSeconds(400));
+    heConfiguration->m_maxTbPpduDelay = NanoSeconds(400);
     dev->SetHeConfiguration(heConfiguration);
     dev->SetPhy(m_phy);
     node->AddDevice(dev);
@@ -2559,7 +2564,7 @@
                             txPower,
                             1002);
         // Check that we received a single UL MU transmission with the corresponding UID
-        Simulator::Schedule(Seconds(1.0) + MicroSeconds(1),
+        Simulator::Schedule(Seconds(1) + MicroSeconds(1),
                             &TestMultipleHeTbPreambles::CheckHeTbPreambles,
                             this,
                             1,
@@ -2602,7 +2607,7 @@
                             1004);
         // Check that we received the correct reception of 2 UL MU transmissions with the
         // corresponding UIDs
-        Simulator::Schedule(Seconds(2.0) + MicroSeconds(1),
+        Simulator::Schedule(Seconds(2) + MicroSeconds(1),
                             &TestMultipleHeTbPreambles::CheckHeTbPreambles,
                             this,
                             2,
@@ -2646,7 +2651,7 @@
                             1004);
         // Check that we received the correct reception of 2 UL MU transmissions with the
         // corresponding UIDs
-        Simulator::Schedule(Seconds(3.0) + MicroSeconds(1),
+        Simulator::Schedule(Seconds(3) + MicroSeconds(1),
                             &TestMultipleHeTbPreambles::CheckHeTbPreambles,
                             this,
                             2,
@@ -2690,13 +2695,13 @@
                             1004);
         // Check that we received the correct reception of the first UL MU transmission with the
         // corresponding UID (second one dropped)
-        Simulator::Schedule(Seconds(4.0) + MicroSeconds(10),
+        Simulator::Schedule(Seconds(4) + MicroSeconds(10),
                             &TestMultipleHeTbPreambles::CheckHeTbPreambles,
                             this,
                             1,
                             std::vector<uint64_t>{uids[0]});
         // The packets of the second UL MU transmission should have been dropped
-        Simulator::Schedule(Seconds(4.0) + MicroSeconds(10),
+        Simulator::Schedule(Seconds(4) + MicroSeconds(10),
                             &TestMultipleHeTbPreambles::CheckBytesDropped,
                             this,
                             1003 + 1004);
@@ -2738,13 +2743,13 @@
                             1004);
         // Check that we received the correct reception of the first UL MU transmission with the
         // corresponding UID (second one dropped)
-        Simulator::Schedule(Seconds(5.0) + MicroSeconds(100),
+        Simulator::Schedule(Seconds(5) + MicroSeconds(100),
                             &TestMultipleHeTbPreambles::CheckHeTbPreambles,
                             this,
                             1,
                             std::vector<uint64_t>{uids[0]});
         // The packets of the second UL MU transmission should have been dropped
-        Simulator::Schedule(Seconds(5.0) + MicroSeconds(100),
+        Simulator::Schedule(Seconds(5) + MicroSeconds(100),
                             &TestMultipleHeTbPreambles::CheckBytesDropped,
                             this,
                             1003 + 1004);
@@ -2771,7 +2776,7 @@
                             txPower,
                             1002);
         // Check that we received a single UL MU transmission with the corresponding UID
-        Simulator::Schedule(Seconds(6.0) + MicroSeconds(1),
+        Simulator::Schedule(Seconds(6) + MicroSeconds(1),
                             &TestMultipleHeTbPreambles::CheckHeTbPreambles,
                             this,
                             1,
@@ -2780,7 +2785,7 @@
         // 4us (because the PPDU that arrived at 500ns is interfering): the second HE TB PPDU is
         // acting as interference since it arrived after the maximum allowed 400ns. Obviously, that
         // second packet of 1002 bytes is dropped as well.
-        Simulator::Schedule(Seconds(6.0) + MicroSeconds(5),
+        Simulator::Schedule(Seconds(6) + MicroSeconds(5),
                             &TestMultipleHeTbPreambles::CheckBytesDropped,
                             this,
                             1001 + 1002);
@@ -2792,10 +2797,10 @@
 }
 
 /**
- * \ingroup wifi-test
- * \ingroup tests
+ * @ingroup wifi-test
+ * @ingroup tests
  *
- * \brief PHY listener for OFDMA tests
+ * @brief PHY listener for OFDMA tests
  */
 class OfdmaTestPhyListener : public ns3::WifiPhyListener
 {
@@ -2872,7 +2877,7 @@
 
     /**
      * Return the number of RX start notifications that has been received since the last reset.
-     * \return the number of RX start notifications that has been received
+     * @return the number of RX start notifications that has been received
      */
     uint32_t GetNumRxStartNotifications() const
     {
@@ -2881,7 +2886,7 @@
 
     /**
      * Return the number of RX end notifications that has been received since the last reset.
-     * \return the number of RX end notifications that has been received
+     * @return the number of RX end notifications that has been received
      */
     uint32_t GetNumRxEndNotifications() const
     {
@@ -2890,7 +2895,7 @@
 
     /**
      * Return the time at which the last RX start notification has been received.
-     * \return the time at which the last RX start notification has been received
+     * @return the time at which the last RX start notification has been received
      */
     Time GetLastRxStartNotification() const
     {
@@ -2899,7 +2904,7 @@
 
     /**
      * Return the time at which the last RX end notification has been received.
-     * \return the time at which the last RX end notification has been received
+     * @return the time at which the last RX end notification has been received
      */
     Time GetLastRxEndNotification() const
     {
@@ -2908,7 +2913,7 @@
 
     /**
      * Return whether last RX has been successful.
-     * \return true if last RX has been successful, false otherwise
+     * @return true if last RX has been successful, false otherwise
      */
     bool IsLastRxSuccess() const
     {
@@ -2924,10 +2929,10 @@
 };
 
 /**
- * \ingroup wifi-test
- * \ingroup tests
+ * @ingroup wifi-test
+ * @ingroup tests
  *
- * \brief UL-OFDMA PHY test
+ * @brief UL-OFDMA PHY test
  */
 class TestUlOfdmaPhyTransmission : public TestCase
 {
@@ -2953,10 +2958,10 @@
 
     /**
      * Get TXVECTOR for HE TB PPDU.
-     * \param txStaId the ID of the TX STA
-     * \param index the RU index used for the transmission
-     * \param bssColor the BSS color of the TX STA
-     * \return the TXVECTOR for HE TB PPDU
+     * @param txStaId the ID of the TX STA
+     * @param index the RU index used for the transmission
+     * @param bssColor the BSS color of the TX STA
+     * @return the TXVECTOR for HE TB PPDU
      */
     WifiTxVector GetTxVectorForHeTbPpdu(uint16_t txStaId,
                                         std::size_t index,
@@ -2964,18 +2969,18 @@
     /**
      * Set TRIGVECTOR for HE TB PPDU
      *
-     * \param bssColor the BSS color of the TX STA
-     * \param error the erroneous info (if any) in the TRIGVECTOR to set
+     * @param bssColor the BSS color of the TX STA
+     * @param error the erroneous info (if any) in the TRIGVECTOR to set
      */
     void SetTrigVector(uint8_t bssColor, TrigVectorInfo error);
     /**
      * Send HE TB PPDU function
-     * \param txStaId the ID of the TX STA
-     * \param index the RU index used for the transmission
-     * \param payloadSize the size of the payload in bytes
-     * \param uid the UID of the trigger frame that is initiating this transmission
-     * \param bssColor the BSS color of the TX STA
-     * \param incrementUid whether UID shall be incremented
+     * @param txStaId the ID of the TX STA
+     * @param index the RU index used for the transmission
+     * @param payloadSize the size of the payload in bytes
+     * @param uid the UID of the trigger frame that is initiating this transmission
+     * @param bssColor the BSS color of the TX STA
+     * @param incrementUid whether UID shall be incremented
      */
     void SendHeTbPpdu(uint16_t txStaId,
                       std::size_t index,
@@ -2986,31 +2991,31 @@
 
     /**
      * Send HE SU PPDU function
-     * \param txStaId the ID of the TX STA
-     * \param payloadSize the size of the payload in bytes
-     * \param uid the UID of the trigger frame that is initiating this transmission
-     * \param bssColor the BSS color of the TX STA
+     * @param txStaId the ID of the TX STA
+     * @param payloadSize the size of the payload in bytes
+     * @param uid the UID of the trigger frame that is initiating this transmission
+     * @param bssColor the BSS color of the TX STA
      */
     void SendHeSuPpdu(uint16_t txStaId, std::size_t payloadSize, uint64_t uid, uint8_t bssColor);
 
     /**
      * Set the BSS color
-     * \param phy the PHY
-     * \param bssColor the BSS color
+     * @param phy the PHY
+     * @param bssColor the BSS color
      */
     void SetBssColor(Ptr<WifiPhy> phy, uint8_t bssColor);
 
     /**
      * Set the PSD limit
-     * \param phy the PHY
-     * \param psdLimit the PSD limit
+     * @param phy the PHY
+     * @param psdLimit the PSD limit
      */
     void SetPsdLimit(Ptr<WifiPhy> phy, dBm_per_MHz_u psdLimit);
 
     /**
      * Generate interference function
-     * \param interferencePsd the PSD of the interference to be generated
-     * \param duration the duration of the interference
+     * @param interferencePsd the PSD of the interference to be generated
+     * @param duration the duration of the interference
      */
     void GenerateInterference(Ptr<SpectrumValue> interferencePsd, Time duration);
     /**
@@ -3025,9 +3030,9 @@
 
     /**
      * Check the received PSDUs from STA1
-     * \param expectedSuccess the expected number of success
-     * \param expectedFailures the expected number of failures
-     * \param expectedBytes the expected number of bytes
+     * @param expectedSuccess the expected number of success
+     * @param expectedFailures the expected number of failures
+     * @param expectedBytes the expected number of bytes
      */
     void CheckRxFromSta1(uint32_t expectedSuccess,
                          uint32_t expectedFailures,
@@ -3035,9 +3040,9 @@
 
     /**
      * Check the received PSDUs from STA2
-     * \param expectedSuccess the expected number of success
-     * \param expectedFailures the expected number of failures
-     * \param expectedBytes the expected number of bytes
+     * @param expectedSuccess the expected number of success
+     * @param expectedFailures the expected number of failures
+     * @param expectedBytes the expected number of bytes
      */
     void CheckRxFromSta2(uint32_t expectedSuccess,
                          uint32_t expectedFailures,
